Net::Packet::CDP::Address(3)

NAME
Net::Packet::CDP::Address - Cisco Discovery Protocol Address format

SYNOPSIS
   use Net::Packet::Consts qw(:cdp);
   require Net::Packet::CDP::Address;

   # Build a layer
   my $layer = Net::Packet::CDP::Address->new(
      protocolType   => NP_CDP_ADDRESS_PROTOCOL_TYPE_NLPID,
      protocolLength => NP_CDP_ADDRESS_PROTOCOL_LENGTH_NLPID,
      protocol       => NP_CDP_ADDRESS_PROTOCOL_IP,
      addressLength  => NP_CDP_ADDRESS_ADDRESS_LENGTH_IP,
      address        => '127.0.0.1',
   );
   $layer->pack;

   print 'RAW: '.unpack('H*', $layer->raw)."\n";

   # Read a raw layer
   my $layer = Net::Packet::CDP::Address->new(raw => $raw);

   print $layer->print."\n";
   print 'PAYLOAD: '.unpack('H*', $layer->payload)."\n"
      if $layer->payload;

DESCRIPTION
This modules implements the encoding and decoding of the Cisco Discovery Protocol Address format.

ATTRIBUTES

protocolType - 8 bits
protocolLength - 8 bits
protocol - 8 bits
addressLength - 16 bits
address - 32 bits

METHODS

new Object constructor. You can pass attributes that will overwrite default ones. Default values:

    protocolType: NP_CDP_ADDRESS_PROTOCOL_TYPE_NLPID

    protocolLength: NP_CDP_ADDRESS_PROTOCOL_LENGTH_NLPID

    protocol: NP_CDP_ADDRESS_PROTOCOL_IP

    addressLength: NP_CDP_ADDRESS_ADDRESS_LENGTH_IP

    address: '127.0.0.1'

pack
    Packs all attributes into a raw format, in order to inject to network. Returns 1 on success, undef otherwise.

unpack
    Unpacks raw data from network and stores attributes into the object. Returns 1 on success, undef otherwise.

CONSTANTS

NP_CDP_ADDRESS_PROTOCOL_TYPE_NLPID
NP_CDP_ADDRESS_PROTOCOL_LENGTH_NLPID
NP_CDP_ADDRESS_PROTOCOL_IP
NP_CDP_ADDRESS_ADDRESS_LENGTH_IP
    See also Net::Packet::CDP for other CONSTANTS.

AUTHOR
Patrice <GomoR> Auffret

COPYRIGHT AND LICENSE
Copyright (c) 2004-2009, Patrice <GomoR> Auffret

You may distribute this module under the terms of the Artistic license. See LICENSE.Artistic file in the source distribution archive.

RELATED MODULES
NetPacket, Net::RawIP, Net::RawSock